html,
body {
  margin: 0;
  padding: 0;
}

body {
  height: 100vh;
  width: 100vw;
}

.center {
  display: grid;
  place-content: center
}

#main {
  padding: 10px;
  height: 100%;
  width: 100%;
  position: relative;
  overflow: hidden;
}

* {
  box-sizing: border-box;
}
.container {
  position: absolute; 
  width:100%;
  height:100%;
}
#covercontainer {
  position: relative;
  z-index: -1;
  color: white;
  width: 140px;
  height: 140px;
  user-select: none;
  overflow:hidden;
  display: none;
}
#storiescontainer {
  top:0;
  left:0;    
}
#storiescontainer img {
  width: 100%;
}
#eyecontainer {
  z-index: 10;
}
#eyecontainer svg {
  width: 250px;
  height: 250px
}
.title {
  font-family: Roslindale, serif;
  text-transform: uppercase;
  font-size:12px;
  text-align: center;
  width: 100px;
  margin: auto;
}
.author {
  font-family: 'Sweet Sans Pro', sans-serif;
  text-transform: uppercase;  
  font-size: 6px;
  padding-top: 5px;
  text-align: center;
  width: 100px;
}
.coverart {
  background-size:140px 140px; 
  background-repeat: no-repeat;
  background-position: center center; 
  width: 140px;
  height: 140px;
}
.story {
  background-color: rgba(0,0,0, 0.9);
  transition: opacity 0.32s;
  color: white;
  opacity: 0;
  z-index:-5;
  font-family: Roslindale;
  padding: 5px 60px 15px 20px;
  overflow-y: scroll;
}
#storyclose {
  padding: 2px 2px;
  margin-top: 20px;
  cursor: pointer;
  position: fixed;
  top: 0;
  right: 25px;
  display: grid;
}
#storyclose img {
  opacity: 0.5;
}
#storyindex {
  position: absolute; 
  top:0;
  transition: all 0.32s ease-in-out;
}
.citation {
  font-family: 'Sweets Sans Pro', sans-serif;
  font-size: 10px;
  text-align: left;
  margin: 10px 0;
  text-transform: uppercase;
  color: #999;
}
.citation a {
  color: #999;
}

#controls {
  opacity:0;
}
#up-btn {
  top: 5px;
}
#down-btn {
  bottom: 5px;
}
.chakra-icons svg {
  padding-top: 8px;
  padding-bottom: 8px;  
}
#story-controls a {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  z-index: 25;
}
#story-controls svg {
  width: 50px;
  height: 38px;
}
#toolbar {
  position: absolute;
  bottom: 0;
  right: 0;
  z-index: 25;
  display: flex;
  flex-direction: column;
  gap: 5px;
  margin: 10px;
}
#toolbar img, svg {
  width: 50px;
  height: 38px;
}
.button {
  background-color: rgba(255, 255, 255, 0.1);
  border: 1px solid transparent;
  border-radius: 10px;
}
.button:hover {
  border: 1px solid rgba(255, 255, 255, 0.3);
}
.button:active {
  background-color: rgba(255, 255, 255, 0.3);
}
#eye-back {
  opacity: 0;
}
.traits {
  fill: #a39792;
  mix-blend-mode: color-dodge;
}
#greatness {
  font-size: 19px;
}
#names {
  font-size: 16px;
}
@media (min-width: 340px){
  #eyecontainer svg {
    width: 340px;
    height: 340px;
  }
  #covercontainer {
    width: 182px;
    height: 182px;
  }
  #bottom-right {
    width: 340px;
    height: 340px;
  }
  .coverart {
    background-size:182px 182px; 
    width: 182px;
    height: 182px;
  }
  .title {
    font-size:14px;
    width: 100px;
  }
  .author {
    font-size: 9px;
    padding-top: 5px;
    width: 100px;
  }
}
@media (min-width: 380px){
  #eyecontainer svg {
    width: 380px;
    height: 380px
  }
  #covercontainer {
    width: 205px;
    height: 205px;
  }
  .coverart {
    background-size:205px 205px; 
    width: 205px;
    height: 205px;
  }
  .title {
    font-size:15px;
    width: 110px;
  }
  .author {
    font-size: 9px;
    padding-top: 6px;
    width: 110px;
  }
}
@media (min-width: 500px){
  #eyecontainer svg {
    width: 500px;
    height: 500px;
  }
  #covercontainer {
    width: 250px;
    height: 250px;
  }
  .coverart {
    background-size:250px 250px; 
    width: 250px;
    height: 250px;
  }
  .story {
    background-color: rgba(0,0,0, 0.9);
    transition: opacity 0.32s;
    color: white;
    opacity: 0;
    z-index:-5;
    font-family: Roslindale;
    padding: 5px 60px 15px 20px;
  }
  #controls-container {
    position: relative;
    width: 500px;
    height: 500px;
  }
  .title {
    font-size:20px;
    width: 180px;
  }
  .author {
    font-size: 9px;
    padding-top: 15px;
    width: 180px;
  }
  #storyclose {
    font-size: 10px;
    padding: 5px 5px;
    margin-top: 20px;
    top: 0;
    right: 25px;
  }
}